Skip to main content
GET
Retrieve

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

display_type
string

The display type of the variant option – one of "radio" or "dropdown".

name
string

The variant option's name – i.e. Size, Color, etc.

position
integer | null

The ordering position of this variant option when displayed to customers.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

product

Expandable – The associated product ID.

values
array

A list of values for this variant option. (These are inferred from the values set on variants.)

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.